| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VDescriptionHost Class Reference

`#include <AAX_VDescriptionHost.h>`

Inheritance diagram for AAX_VDescriptionHost:
[legend]
Collaboration diagram for AAX_VDescriptionHost:
[legend]

## Description

Versioned wrapper for access to host service interfaces provided during plug-in description

This object aggregates access to AAX_IACFDescriptionHost and IACFDefinition, with support depending on the interface support level of the IACFUnknown which is passed to this object upon creation.

## Public Member Functions
| AAX_VDescriptionHost (IACFUnknown *pUnknown)
| ~AAX_VDescriptionHost () AAX_OVERRIDE
const AAX_IFeatureInfo * | AcquireFeatureProperties (const AAX_Feature_UID &inFeatureID) const AAX_OVERRIDE
bool | Supported () const
AAX_IACFDescriptionHost * | DescriptionHost ()
const AAX_IACFDescriptionHost * | DescriptionHost () const
IACFDefinition * | HostDefinition () const
Public Member Functions inherited from AAX_IDescriptionHost
virtual | ~AAX_IDescriptionHost ()
virtual const AAX_IFeatureInfo * | AcquireFeatureProperties (const AAX_Feature_UID &inFeatureID) const =0

## Constructor & Destructor Documentation

## ◆ AAX_VDescriptionHost()

AAX_VDescriptionHost::AAX_VDescriptionHost | ( | IACFUnknown * | pUnknown | ) |
| explicit

## ◆ ~AAX_VDescriptionHost()

AAX_VDescriptionHost::~AAX_VDescriptionHost | ( |  | ) |

## Member Function Documentation

## ◆ AcquireFeatureProperties()

const AAX_IFeatureInfo * AAX_VDescriptionHost::AcquireFeatureProperties | ( | const AAX_Feature_UID & | inFeatureID | ) | const
| virtual

Get the client's feature object for a given feature ID

Similar to `QueryInterface()` but uses a feature identifier rather than a true IID

Ownership of the returned object is passed to the caller; the caller is responsible for destroying the object, e.g. by capturing the returned object in a smart pointer.

// AAX_IDescriptionHost* descHost
std::unique_ptr<const AAX_IFeatureInfo> featureInfoPtr(descHost->AcquireFeatureProperties(someFeatureUID);

Returns
  An AAX_IFeatureInfo interface with access to the host's feature properties for this feature.
  `NULL` if the desired feature was not found or if an error occurred

Note
  May return an AAX_IFeatureInfo object with limited method support, which would return an error such as AAX_ERROR_NULL_OBJECT or AAX_ERROR_UNIMPLEMENTED to interface calls.
  If no AAX_IFeatureInfo is provided then that may mean that the host is unaware of the feature, or it may mean that the host is aware of the feature but has not implemented the AAX feature support interface for this feature yet.

Parameters

  [in] | inFeatureID | Identifier of the requested feature

Implements AAX_IDescriptionHost.

## ◆ Supported()

bool AAX_VDescriptionHost::Supported | ( |  | ) | const
| inline

## ◆ DescriptionHost() [1/2]

AAX_IACFDescriptionHost * AAX_VDescriptionHost::DescriptionHost | ( |  | ) |
| inline

## ◆ DescriptionHost() [2/2]

const AAX_IACFDescriptionHost * AAX_VDescriptionHost::DescriptionHost | ( |  | ) | const
| inline

## ◆ HostDefinition()

IACFDefinition * AAX_VDescriptionHost::HostDefinition | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- AAX_VDescriptionHost.h